Subject: bug#7781: hunspell and latex-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Apr 2014 18:37:01 +0300

> From: Peter Münster <[email-masked]>
> Date: Sun, 27 Apr 2014 23:30:25 +0200
> 
> I'm using a patched hunspell
> (http://sourceforge.net/p/hunspell/patches/57/) and it works well with
> text-mode and message-mode. But unfortunately it does not work with
> context-mode or latex-mode.
> 
> Example:
> 
> --8<---------------cut here---------------start------------->8---
> \documentclass{article}
> \begin{document}
> bla
> \end{document}
> --8<---------------cut here---------------end--------------->8---
> 
> Running ispell fails with this error:
> 
> ispell-process-line: Ispell misalignment: word `bla' point 41; probably incompatible versions

I cannot reproduce this.  If I start "emacs -Q" and try spell-checking
your example (with Hunspell being the speller), it works just fine for
me: I get suggestions to replace "bla".  Same thing if I load AUCTeX
into "emacs -Q" (does AUCTeX even change anything about
spell-checking?).

Does this work for you in "emacs -Q"?  If so, I suggest to review your
customizations to look for those which somehow cause this.

If "emacs -Q" doesn't work either, please provide a detailed
reproduction recipe starting from "emacs -Q".